SqlUtil::AbstractView Class Referenceabstract

base class for views More...

## Public Member Functions

| constructor (string n_name, string n_src)
| creates the object from the arguments
abstract string | getCreateSql (*hash opt)
| returns a string that can be used to create the view in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop the view from the database More...
abstract softlist | getRenameSql (string new_name, *hash opt)
| returns a list with command(s) that can be used to rename the view in the database More...

## Public Attributes

string | name
| the name of the sequence
string | src
| the source code
bool | updatable
| Flag showing if is the view updatable with DML commands.

## Detailed Description

base class for views

## Member Function Documentation

## getDropSql()

string SqlUtil::AbstractView::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the view from the database

Parameters

  opt | drop options (if supported by the driver and object); in this generic base class method, this argument is ignored

## getRenameSql()

abstract softlist SqlUtil::AbstractView::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

pure virtual

returns a list with command(s) that can be used to rename the view in the database

Parameters

  new_name | the new name of the object
  opt | drop options (if supported by the driver and object)